> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Of Conversations

> Gets the list of conversations for assistant_id filter by daterange in descending order



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/conversation
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/conversation:
    get:
      tags:
        - Conversation
      summary: Get List Of Conversations
      description: >-
        Gets the list of conversations for assistant_id filter by daterange in
        descending order
      operationId: get_list_of_conversations_api_v1_conversation_get
      parameters:
        - name: date_from
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date From
        - name: date_to
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date To
        - name: assistant_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Assistant Id
        - name: intent_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Intent Id
        - name: includes_voice
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Includes Voice
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/IGetResponsePaginated_ConversationMetadata_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_ConversationMetadata_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_ConversationMetadata_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[ConversationMetadata]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_ConversationMetadata_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ConversationMetadata'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[ConversationMetadata]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConversationMetadata:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        widget_id:
          type: string
          format: uuid
          title: Widget Id
        assistant_id:
          type: string
          format: uuid
          title: Assistant Id
        assistant_name:
          type: string
          title: Assistant Name
        attributes:
          type: string
          title: Attributes
        first_message:
          anyOf:
            - type: string
            - type: 'null'
          title: First Message
          default: ''
        device_type:
          type: string
          title: Device Type
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        chat_count:
          type: integer
          title: Chat Count
        includes_voice:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Includes Voice
          default: false
        intent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Intent Name
          default: ''
        contact_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Contact Id
        contact_first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact First Name
        contact_last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact Last Name
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        widget_type:
          type: string
          title: Widget Type
        widget_provider:
          type: string
          title: Widget Provider
          readOnly: true
      type: object
      required:
        - id
        - widget_id
        - assistant_id
        - assistant_name
        - attributes
        - device_type
        - created_at
        - updated_at
        - chat_count
        - widget_type
        - widget_provider
      title: ConversationMetadata
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````